Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.ee
Class WASManagedRuntime.WASSynchronization

    java.lang.Object
      org.apache.openjpa.ee.WASManagedRuntime.WASSynchronization

Enclosing class:
  WASManagedRuntime

    static class WASManagedRuntime.WASSynchronization

extends Object

WASSynchronization wrapper. This class translates the WAS proprietary synchronization callback methods to javax.transaction.Synchronization methods.

This class implements the com.ibm.websphere.jtaextensions.SynchronizationCallback interface. Since SynchronizationCallback is not available at compile time we use Serp to add the interface to the class after all classes have been compiled.

SynchronizationCallback is expected to be available whenever this class is instantiated, therefore this class should only be used when running in WebSphere.

See Also:
  `org.apache.openjpa.util.WASTransformer`

Field Summary
`(package private) Synchronization` | `_sync`

Constructor Summary
`WASManagedRuntime.WASSynchronization(Synchronization sync)`

Method Summary
`void` | `afterCompletion(int localTransactionId, byte[] globalTransactionId, boolean committed)` AfterCompletion wrapper.
`void` | `beforeCompletion(int arg0, byte[] arg1)` BeforeCompletion wrapper.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _sync

    Synchronization _sync

Constructor Detail

### WASManagedRuntime.WASSynchronization

    WASManagedRuntime.WASSynchronization(Synchronization sync)

Method Detail

### afterCompletion

    public void afterCompletion(int localTransactionId,
                                byte[] globalTransactionId,
                                boolean committed)

  AfterCompletion wrapper. Translates the WAS proprietary call to a javax.transaction.Synchronization call.

### beforeCompletion

    public void beforeCompletion(int arg0,
                                 byte[] arg1)

  BeforeCompletion wrapper. Translates WAS proprietary call to a javax.transaction.Synchronization call.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.